// xyzoomscrollDlg.h : header file
//

#pragma once

#include "ChartViewer.h"
#include "DragRect.h"
#include <afxmt.h>


// CXyzoomscrollDlg dialog
class CXyzoomscrollDlg : public CDialog
{
// Construction
public:
	CXyzoomscrollDlg(CWnd* pParent = NULL);	// standard constructor
	~CXyzoomscrollDlg();

// Dialog Data
	enum { IDD = IDD_XYZOOMSCROLL_DIALOG };
	CButton	m_CenterPB;
	CButton	m_PointerPB;
	CStatic	m_NavigatePad;
	CDragRect m_NavigateWindow;
	CSliderCtrl	m_ZoomBar;
	CChartViewer m_ChartViewer;

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnPointerPB();
	afx_msg void OnZoomInPB();
	afx_msg void OnZoomOutPB();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	afx_msg void OnNavigateWindow();
	afx_msg void OnDestroy();
	afx_msg void OnChartViewer();
	afx_msg void OnViewPortChanged();
	afx_msg void OnMouseMovePlotArea();
	DECLARE_MESSAGE_MAP()


private:
	int m_extBgColor;	// The default background color.

	// Draw chart
	void drawChart(CChartViewer *viewer);
	void crossHair(XYChart *c, int mouseX, int mouseY);

	// Update image map 
	void updateImageMap(CChartViewer *viewer);
	void updateControls(CChartViewer *viewer);
	
	// utility to get default background color
	int getDefaultBgColor();
	// utility to load icon resource to a button
	void loadButtonIcon(int buttonId, int iconId, int width, int height);
};
